package acts.act12;

public class MyDoublyList {

    private Node head;  // the first node
    private Node tail;  // the last node
    private int size;

    public void add(char item) {
        Node oldHead = head;
        head = new Node(null, item, oldHead);
        if (size == 0) {
            tail = head;
        } else {
            oldHead.prev = head;
        }
        size++;
    }

    private static class Node {
        public Node prev;
        public char item;
        public Node next;

        public Node(Node prev, char item, Node next) {
            this.prev = prev;
            this.item = item;
            this.next = next;
        }
    }

    public static void main(String[] args) {
        MyDoublyList list = new MyDoublyList();
        list.add('A');
        list.add('B');
        list.add('C');
    }

}
